# Filter the Perl extension module
%{?perl_default_filter}

%define pkgname DBD-Firebird

Summary:        A Firebird interface for perl
Name:           perl-DBD-Firebird
Version:        1.11
Release:        2%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{pkgname}/
Source:         http://search.cpan.org/CPAN/authors/id/M/MA/MARIUZ/%{pkgname}-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl >= 5.10.1, perl(DBI) >= 1.41, perl(ExtUtils::MakeMaker)
BuildRequires:  firebird-devel >= 2.5.1, perl(Test::Exception), perl(Test::More) >= 0.4
BuildRequires:  perl(base), perl(Carp), perl(constant), perl(Data::Dumper), perl(DBI::DBD)
BuildRequires:  perl(Encode), perl(Exporter), perl(File::Temp), perl(Getopt::Long), perl(lib)

%description
DBD::Firebird is a Perl module that works with the DBI module to provide
access to Firebird databases.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Full test coverage requires a live Firebird database (see the README file)
make test

%files
%doc Changes README
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/auto/DBD/
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 19 2013 Robert Scheck <robert@fedoraproject.org> 1.11-2
- Changes to match with Fedora Packaging Guidelines (#951874)

* Sun Apr 14 2013 Robert Scheck <robert@fedoraproject.org> 1.11-1
- Upgrade to 1.11
- Initial spec file for Fedora and Red Hat Enterprise Linux
